<head>

  <link rel="stylesheet" href="res/css/tree.css">
  <link href="https://fonts.googleapis.com/css?family=Open+Sans|Raleway" rel="stylesheet">

  <script>var runOnLoad=function(c,o,d,e){function x(){for(e=1;c.length;)c.shift()()}o[d]?(document[d]('DOMContentLoaded',x,0),o[d]('load',x,0)):o.attachEvent('onload',x);return function(t){e?o.setTimeout(t,0):c.push(t)}}([],window,'addEventListener');</script>

  <script type="text/javascript" src="res/js/CollapsibleLists.src.js">

  </script>
  <script type="text/javascript">
    runOnLoad(function(){ CollapsibleLists.apply(); });
  </script>
</head>
<body>
  <div class="summary-button">
      <a id="treeNav" href="Full-Report.html">View Summary</a>
  </div>
<ul class="collapsibleList" >
  <div id="prevTree">Previous Tree</div><li style="color:white;" class="m-wrap"> Level 0: Start Pos: 63,747 Type(class): LinearLayout ID: com.android.packageinstaller:id/dialog_container Name:  Type(class): LinearLayout Rectangle: 1073,378
</span><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 107,795 Type(class): LinearLayout ID: com.android.packageinstaller:id/perm_desc_root Name:  Type(class): LinearLayout Rectangle: 997,78
</span><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 107,801 Type(class): ImageView ID: com.android.packageinstaller:id/permission_icon Name:  Type(class): ImageView Rectangle: 72,72
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 179,795 Type(class): TextView ID: com.android.packageinstaller:id/permission_message Name: Allow Simple Weather to access this device's location? Type(class): TextView Rectangle: 925,49
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 1: Start Pos: 107,905 Type(class): CheckBox ID: com.android.packageinstaller:id/do_not_ask_checkbox Name: Never ask again Type(class): CheckBox Rectangle: 997,64
</span></li></ul><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 107,969 Type(class): LinearLayout ID: com.android.packageinstaller:id/button_group Name:  Type(class): LinearLayout Rectangle: 997,140
</span><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 820,1001 Type(class): Button ID: com.android.packageinstaller:id/permission_deny_button Name: Deny Type(class): Button Rectangle: 128,108
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 964,1001 Type(class): Button ID: com.android.packageinstaller:id/permission_allow_button Name: Allow Type(class): Button Rectangle: 140,108
</li></ul></li></ul></li><div class="buffer"></div></ul><ul class="collapsibleList"><div id="newTree">New Tree</div><li style="color:white;" class="m-wrap"> Level 0: Start Pos: 63,795 Type(class): LinearLayout ID: com.android.packageinstaller:id/dialog_container Name:  Type(class): LinearLayout Rectangle: 1073,282
</span><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 107,843 Type(class): LinearLayout ID: com.android.packageinstaller:id/perm_desc_root Name:  Type(class): LinearLayout Rectangle: 997,78
</span><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 107,849 Type(class): ImageView ID: com.android.packageinstaller:id/permission_icon Name:  Type(class): ImageView Rectangle: 72,72
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 179,843 Type(class): TextView ID: com.android.packageinstaller:id/permission_message Name: Allow Simple Weather to access this device's location? Type(class): TextView Rectangle: 925,49
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 107,921 Type(class): LinearLayout ID: com.android.packageinstaller:id/button_group Name:  Type(class): LinearLayout Rectangle: 997,140
</span><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 820,953 Type(class): Button ID: com.android.packageinstaller:id/permission_deny_button Name: Deny Type(class): Button Rectangle: 128,108
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 964,953 Type(class): Button ID: com.android.packageinstaller:id/permission_allow_button Name: Allow Type(class): Button Rectangle: 140,108
</li></ul></li></ul></li><div class="buffer"></div></ul>
</ul>

<script type="text/javascript">
  function colorChange(names){
    for (var name in names){
      var list = document.getElementsByClassName(name);
      if (list[0].innerHTML != list[1].innerHTML){
          list[0].style.color = "gray";
          list[1].style.color = "gray";
      }
    }
  }
  var names = ["0","1"];
  colorChange(names);
</script>
</body>
